> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Retrieve

GET https://webhooks.ordergroove.com/webhook_targets/{id}

You must authenticate with API User scope to access.

Reference: https://docs.ordergroove.com/reference/webhooks-api/webhook-targets/retrieve

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-webhooks-api
  version: 1.0.0
paths:
  /webhook_targets/{id}:
    get:
      operationId: retrieve
      summary: Retrieve
      description: You must authenticate with API User scope to access.
      tags:
        - webhookTargets
      parameters:
        - name: id
          in: path
          description: Public identifier of webhook target
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhook Targets_retrieve_Response_200'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Webhook-targets-retrieveRequestNotFoundError
servers:
  - url: https://webhooks.ordergroove.com
    description: https://webhooks.ordergroove.com
components:
  schemas:
    Webhook Targets_retrieve_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Webhook Targets_retrieve_Response_200
    Webhook-targets-retrieveRequestNotFoundError:
      type: object
      properties:
        detail:
          type: string
      title: Webhook-targets-retrieveRequestNotFoundError

```

## Examples



**Response**

```json
"{\n  \"id\": \"5f15ef298dc15df9bc6eda35\"\n  \"merchant\": \"aaaa1111bbbb2222cccc\",\n  \"target_url\": \"https://webhook.target/uri\",\n  \"enabled\": false,\n  \"created\": 1595273001,\n  \"updated\": 1597260663\n}"
```

**SDK Code**

```python Result
import requests

url = "https://webhooks.ordergroove.com/webhook_targets/id"

response = requests.get(url)

print(response.json())
```

```javascript Result
const url = 'https://webhooks.ordergroove.com/webhook_targets/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://webhooks.ordergroove.com/webhook_targets/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://webhooks.ordergroove.com/webhook_targets/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://webhooks.ordergroove.com/webhook_targets/id")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://webhooks.ordergroove.com/webhook_targets/id');

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://webhooks.ordergroove.com/webhook_targets/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://webhooks.ordergroove.com/webhook_targets/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```